[pytest]
pythonpath = .
log_cli = true
log_cli_level = INFO
addopts = --cov-report term-missing --cov=etl/epc --cov=recommendations --cov=backend --cov=etl/epc_clean --cov=etl/spatial
testpaths =
    recommendations/tests
    backend/tests
    backend/address2UPRN/tests
    backend/app/db/functions/tests
    backend/categorisation/tests
    backend/condition/tests
    backend/documents_parser/tests
    backend/ecmk_fetcher/tests
    backend/export/tests
    backend/magic_plan/tests
    backend/onboarders/tests
    backend/pashub_fetcher/tests
    datatypes/epc/domain/tests
    datatypes/epc/schema/tests
    datatypes/epc/surveys/tests
    datatypes/magicplan/api/tests
    datatypes/magicplan/domain/tests
    etl/epc/tests
    etl/epc_clean/tests
    etl/hubspot/tests
    etl/spatial/tests
markers =
    integration: mark a test as an integration test
